Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		traverso
#Epoch:		0
Version:	0.49.1
Release:	1
License:	GNU/GPL
URL:		http://traverso-daw.org/
Group:		Multimedia/Audio
Summary:	Multitrack audio recording & editing
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires:	lame-devel

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: fftw-devel
BuildRequires: flac-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libmad-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: libsamplerate-devel
BuildRequires: libSM-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++-devel
BuildRequires: libvorbis-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: qt4-devel
BuildRequires: raptor-devel
BuildRequires: rasqal-devel
BuildRequires: redland-devel
BuildRequires: wavpack-devel
BuildRequires: zlib-devel

%description
Traverso DAW is a GPL licensed, cross platform multitrack audio recording and editing suite, with an innovative and easy to master User Interface. It's suited for both the professional and home user, who needs a robust and solid DAW. 

Traverso is a complete solution from recording to CD Mastering. By supplying many common tools in one package, you don't have to learn how to use lots of applications with different user interfaces. This considerably lowers the learning curve, letting you get your audio processing work done faster!

A unique approach to non-linear audio processing was developed for Traverso to provide extremely solid and robust audio processing and editing. Adding and removal of effects plugins, moving Audio Clips and creating new Tracks during playback are all perfectly safe, giving you instant feedback on your work! 

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build-i686
pushd build-i686
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix} -DWANT_MP3_ENCODE=ON
make %{?_smp_mflags}
popd

%install
rm -Rf $RPM_BUILD_ROOT
pushd build-i686
make install DESTDIR=$RPM_BUILD_ROOT
popd

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
/usr/bin/traverso


%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sun Mar 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.49.1-1
- initial CCux package release
